Subject: Re: bug#32990: 26.1.50; isearch-forward + t-m-m/mark-active doc

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Oct 2018 17:53:19 +0200

> Date: Sun, 28 Oct 2018 11:06:46 +0100
> From: [email-masked] (Charles A. Roelli)
> CC: [email-masked]
> 
> The following patch improves indexing of the isearch commands and
> bindings mentioned in the current docstring of isearch-forward, and
> adds an explanation in the manual for one missing command
> (isearch-query-replace-regexp).  This should be one of the last
> changes before we can comfortably shorten isearch-forward's docstring.

Thanks, I have a couple of minor comments:

> +search string.  You can repeat this any number of times.  If you
> +overshoot, you can cancel some @kbd{C-s} characters with @key{DEL}.
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
I would say "cancel some @kbd{C-s} commands", not "characters".
"Cancel characters" sounds awkward and slightly confusing.

> +@kindex M-s w
> +@kindex M-s w @r{(Incremental Search)}

It is not useful to have several index entries starting with the same
string and pointing to the same place, or very close places.  In this
case, I think just the first one will do.